Skip to main content
GET
Generate claim transaction for a CCTP bridge transfer

Query Parameters

chainId
number
required

Chain ID of the source transaction

Example:

143

txHash
string
required

Transaction hash of the CCTP bridge transaction on source chain

Example:

"0x4ac72089eef92b827702281bb2668b416ee6d3e9d953600dc363842e473a157c"

Response

Claim transaction or reason why not claimable

claimable
boolean
required

Whether the claim transaction is available

Example:

true

destinationChainId
number

Destination chain ID where receiveMessage should be called

Example:

1

tx
object

Ready-to-submit transaction to call MessageTransmitterV2.receiveMessage on the destination chain

reason
string

Reason if not claimable

Example:

"Already claimed"